# List of Events

### About get\_events <a href="#uofpclistofevents-aboutget_events" id="uofpclistofevents-aboutget_events"></a>

The get\_events endpoint is used to get a list of events covered by the Premium Cricket product. It contains information about events to supplement the fixture information found on the main Unified Feed Descriptive API.

*Please note that all the cricket matches you get when using schedule.xml is not covered by Premium Cricket. It is important to understand the events Premium cricket covers is retrieved using get\_event endpoint only.*

### Suggested Usage <a href="#uofpclistofevents-suggestedusage" id="uofpclistofevents-suggestedusage"></a>

This is intended to help with scheduling and event status management.  It can be used either to supplement data found on the main Unified Feed Descriptive API, or as the main source of event information and as a means to find events in the main API (which can then be looked up easily by eventId)

### Request Example <a href="#uofpclistofevents-requestexample" id="uofpclistofevents-requestexample"></a>

{% tabs %}
{% tab title="Production" %}

```
https://cricketapi.sportradar.com/UnifiedFeedScoring/xml/get_events
```

{% endtab %}

{% tab title="Staging" %}

```
https://cricketapistaging.sportradar.com/UnifiedFeedScoring/xml/get_events
```

{% endtab %}
{% endtabs %}

### Response Structure <a href="#uofpclistofevents-responsestructure" id="uofpclistofevents-responsestructure"></a>

```xml
<GetEventsResponse xmlns="http://schemas.datacontract.org/2004/07/Sportradar.OddsFeed.PremiumCricket.Scoring.Response" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
    <action>Success</action>
    <message>OK.</message>
    <response_code>OK</response_code>
    <sportEvents xmlns:a="http://schemas.datacontract.org/2004/07/Sportradar.OddsFeed.PremiumCricket.Scoring">
        <a:SportEvent>
            <a:categories>
                <a:EventCategory>
                    <a:categoryValue>Singapore</a:categoryValue>
                    <a:eventCategoryType>Team1</a:eventCategoryType>
                </a:EventCategory>
                <a:EventCategory>
                    <a:categoryValue>Oman</a:categoryValue>
                    <a:eventCategoryType>Team2</a:eventCategoryType>
                </a:EventCategory>
                <a:EventCategory>
                    <a:categoryValue>20 Overs</a:categoryValue>
                    <a:eventCategoryType>Format</a:eventCategoryType>
                </a:EventCategory>
                <a:EventCategory>
                    <a:categoryValue>International</a:categoryValue>
                    <a:eventCategoryType>CompetitionType</a:eventCategoryType>
                </a:EventCategory>
                <a:EventCategory>
                    <a:categoryValue>T20 International</a:categoryValue>
                    <a:eventCategoryType>SeriesType</a:eventCategoryType>
                </a:EventCategory>
                <a:EventCategory>
                    <a:categoryValue>Singapore v Oman (5th T20)</a:categoryValue>
                    <a:eventCategoryType>SeriesName</a:eventCategoryType>
                </a:EventCategory>
            </a:categories>
            <a:competition>T20 International</a:competition>
            <a:competitionInstance>Twenty20 Internationals</a:competitionInstance>
            <a:eventCreatedDate>2023-10-30T11:28:58.3104972</a:eventCreatedDate>
            <a:eventId>sr:match:43903392</a:eventId>
            <a:eventName>Singapore v Oman (5th T20)</a:eventName>
            <a:format>20 Overs</a:format>
            <a:liveOperationalStatus>CoverageConfirmed</a:liveOperationalStatus>
            <a:preMatchOperationalStatus>MarketsAvailable</a:preMatchOperationalStatus>
            <a:premiumCricketEventId>43903392</a:premiumCricketEventId>
            <a:scheduledStart>2023-10-31T03:15:00</a:scheduledStart>
            <a:status>Scheduled</a:status>
            <a:venue />
        </a:SportEvent>
        ...
    </sportEvents>
</GetEventsResponse>
```

### Elements and Sub-elements Explained <a href="#uofpclistofevents-elementsandsub-elementsexplained" id="uofpclistofevents-elementsandsub-elementsexplained"></a>

1. **\<GetEventsResponse>**

| *action*         | Information indicating details of any errors when making API call.                    |
| ---------------- | ------------------------------------------------------------------------------------- |
| *message*        | Punctuated HTTP response code                                                         |
| *response\_code* | HTTP response code.                                                                   |
| *sportEvents*    | Listof type SportEvent, containing details of upcoming and recently completed matches |

2. **\<SportEvent>**

| *categories*                | List of type EventCategory (see below), containing attributes of the event.                                                                                         |
| --------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *competition*               | Top level event segmentation.                                                                                                                                       |
| *competitionInstance*       | Second level event segmentation.                                                                                                                                    |
| *eventCreatedDate*          | Legacy data item, no longer provided, should be ignored.                                                                                                            |
| *eventId*                   | Counter that increments as score updates are made during the match                                                                                                  |
| *eventName*                 | A text description of the match.                                                                                                                                    |
| *format*                    | The format of the match.                                                                                                                                            |
| *liveOperationalStatus*     | OperationalStatusEnum representing the state of the match for In Play trading.                                                                                      |
| *preMatchOperationalStatus* | [OperationalStatusEnum](/uof/premium-cricket/api-descriptions/list-of-events.md#uofpclistofevents-enums) representing the state of the match for Pre Match trading. |
| *premiumCricketEventId*     | Legacy ID for the match, should be ignored.                                                                                                                         |
| *scheduledStart*            | Scheduled start time for the match in UK local time.                                                                                                                |
| *status*                    | [EventStatusEnum](/uof/premium-cricket/api-descriptions/list-of-events.md#uofpclistofevents-enums) representing the state of the match.                             |
| *venue*                     | Legacy data item, no longer provided, should be ignored.                                                                                                            |

3. **\<EventCategory>**

| *categoryValue*     | The attribute value for the EventCategory. |
| ------------------- | ------------------------------------------ |
| *eventCategoryType* | The attribute type of the EventCategory.   |

### Enums <a href="#uofpclistofevents-enums" id="uofpclistofevents-enums"></a>

1. ***OperationalStatusEnum***

| *NotCovered (0)*          | Match will not be covered.                               |
| ------------------------- | -------------------------------------------------------- |
| *CoverageUnconfirmed (1)* | Awaiting a decision on whether to cover the match.       |
| *CoverageProvisional (2)* | Match will not be covered.                               |
| *CoverageConfirmed (3)*   | Match will definitely be covered.                        |
| *Cancelled (4)*           | Match has been cancelled.                                |
| *MarketsAvailable (5)*    | Odds are available for the Match                         |
| *ResultsPending (6)*      | Odds have been deactivated, and are awaiting settlement. |
| *Closed (7)*              | Match is complete and all markets have been settled.     |

2. ***EventStatusEnum***

| *Scheduled (0)*   | Match has been scheduled.      |
| ----------------- | ------------------------------ |
| *InPlay (1)*      | Match has started.             |
| *CloseOfPlay (2)* | Match is finished for the day. |
| *Closed (3)*      | Match is complete.             |
| *Cancelled (4)*   | Match has been cancelled.      |
| *NotCovered (5)*  | Match will not be covered.     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/premium-cricket/api-descriptions/list-of-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
